Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openxri.resolve
Class ResolverFlags

    java.lang.Object
      org.openxri.resolve.ResolverFlags

    public class ResolverFlags

extends java.lang.Object

This class encapsulates the various flags used as input to the Resolver methods.

Author:
  =wil

Constructor Summary
`ResolverFlags()` Constructor
`ResolverFlags(ResolverFlags other)` Copy Constructor
`ResolverFlags(TrustType trustType, boolean followRefs)` Constructor that provides compatibility with old trustType and followRefs interface

Method Summary
`java.lang.String` | `getTrustParameters()`
`boolean` | `isCid()`
`boolean` | `isHttps()`
`boolean` | `isNoDefaultM()`
`boolean` | `isNoDefaultP()`
`boolean` | `isNoDefaultT()`
`boolean` | `isRefs()`
`boolean` | `isSaml()`
`boolean` | `isUric()`
`void` | `setCid(boolean cid)`
`void` | `setHttps(boolean https)`
`void` | `setNoDefaultM(boolean noDefaultM)`
`void` | `setNoDefaultP(boolean noDefaultP)`
`void` | `setNoDefaultT(boolean noDefaultT)`
`void` | `setRefs(boolean refs)`
`void` | `setSaml(boolean saml)`
`void` | `setUric(boolean uric)`
`java.lang.String` | `toString()`
`java.lang.String` | `toURIQuery()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResolverFlags

    public ResolverFlags()

  Constructor

### ResolverFlags

    public ResolverFlags(ResolverFlags other)

  Copy Constructor

### ResolverFlags

    public ResolverFlags(TrustType trustType,
                         boolean followRefs)

  Constructor that provides compatibility with old trustType and followRefs interface

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### toURIQuery

    public java.lang.String toURIQuery()

### isHttps

    public boolean isHttps()

  Returns:
    the https

### setHttps

    public void setHttps(boolean https)

  Parameters:
    `https` - the https to set

### isSaml

    public boolean isSaml()

  Returns:
    the saml

### setSaml

    public void setSaml(boolean saml)

  Parameters:
    `saml` - the saml to set

### isRefs

    public boolean isRefs()

  Returns:
    the refs

### setRefs

    public void setRefs(boolean refs)

  Parameters:
    `refs` - the refs to set

### isNoDefaultT

    public boolean isNoDefaultT()

  Returns:
    the noDefaultT

### setNoDefaultT

    public void setNoDefaultT(boolean noDefaultT)

  Parameters:
    `noDefaultT` - the noDefaultT to set

### isNoDefaultP

    public boolean isNoDefaultP()

  Returns:
    the noDefaultP

### setNoDefaultP

    public void setNoDefaultP(boolean noDefaultP)

  Parameters:
    `noDefaultP` - the noDefaultP to set

### isNoDefaultM

    public boolean isNoDefaultM()

  Returns:
    the noDefaultM

### setNoDefaultM

    public void setNoDefaultM(boolean noDefaultM)

  Parameters:
    `noDefaultM` - the noDefaultM to set

### isUric

    public boolean isUric()

  Returns:
    the uric

### setUric

    public void setUric(boolean uric)

  Parameters:
    `uric` - the uric to set

### isCid

    public boolean isCid()

  Returns:
    the cid

### setCid

    public void setCid(boolean cid)

  Parameters:
    `cid` - the cid to set

### getTrustParameters

    public java.lang.String getTrustParameters()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2009. All Rights Reserved.